<template>
  <v-dialog :value="value" width="600" @input="$emit('input')">
    <v-card class="info-card" width="600">
      <v-card-text class="pa-2 pa-md-8">
        <!-- <v-row>
          <v-col class="text-h6 text-center">Información del especialista</v-col>
        </v-row> -->
        <v-row align="center">
          <v-col md="3" cols="12">
            <ImagePhoto :photo="profileImageUrl" size="100"/>
          </v-col>
          <v-col md="8" cols="12">
              <h2>Esp. {{ fullname }}</h2>
              <div class="citas">{{this.specialistExtraInfo.totalAppointments + ' citas atendidas'}}</div>
              <div class="d-flex align-center">
              <v-rating
                v-model="this.specialistExtraInfo.rating"
                background-color="primary"
                color="primary"
                readonly
                half-increments
              />
              <h3>{{this.specialistExtraInfo.rating}}</h3>
              </div>
          </v-col>
        </v-row>
        <div class="subtitle">
          <v-icon
            medium
            class="mr-2"
          >
            mdi-account
          </v-icon>
          <h3>Acerca de mi</h3>
        </div>
        <v-row>
          <v-col md="12" class="info-text">
              {{ this.specialistExtraInfo.aboutMe }}
          </v-col>
        </v-row>
        <div class="subtitle">
          <v-icon
            medium
            class="mr-2"
          >
            mdi-bank
          </v-icon>
          <h3>Grado académico</h3>
        </div>
        <v-row>
          <v-col md="12" class="info-text">
              {{ this.specialistExtraInfo.degree }}
          </v-col>
        </v-row>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>

<script>
import { mapActions, mapState } from 'vuex';
import DetailsCard from '~/components/Cards/DetailsCard';
import ImagePhoto from '~/components/appointment/ImagePhoto';

export default {
  name: 'ExtraInfoSpecialist',
  components: {
    'details-card': DetailsCard,
    ImagePhoto,
  },
  props: {
    value: Boolean,
    specialistUuid: String,
    profileImageUrl: String,
    name: String,
    fatherLastname: String,
    motherLastname: String,
  },
  data: () => ({
    rating: 1.5,
    degree: 'Especialista',
    totalAppointments: 100,
    nameSpecialist: 'Marco Quezada Aquino',
    textMessage: 'Esta es la pruueba de mensaje',
    imageSpecialist: 'https://we-doctor.com/wp-content/uploads/2019/07/medico-2.jpg',
    noPhoto: 'https://developers.google.cn/web/images/contributors/no-photo.jpg?hl=es',
  }),
  computed: {
    ...mapState({
      specialistExtraInfo: state => state.specialist.specialistInfo.specialistExtraInfo,
    }),
    fullname() {
      let str = `${this.name} ${this.fatherLastname} ${this.motherLastname}`;
      let downstr = str.toLowerCase();
      let str2 = downstr.replace(/\w\S*/g, (w) =>
        w.replace(/^\w/, (c) => c.toUpperCase())
      );
      return str2;
    },
  },
  mounted() {
    this.getSpecialistInfoExtra({ specialistUuid: this.specialistUuid });
  },
  methods: {
    ...mapActions({
      getSpecialistInfoExtra: 'specialist/specialistInfo/getSpecialistInfoExtra',
    }),
  },
};
</script>

<style scoped>
.info-card {
  padding: 20px;
  display:flex;
  align-items: center;
}
.subtitle {
  margin-top: 20px;
  margin-bottom: 10px;
  display: flex;
  align-items: center;
  opacity: 0.9;
  text-transform: uppercase;
}
.info-text {
  font-size: 16px;
  margin-bottom:10px;
}
.citas {
  margin-top:10px;
  font-size: 16px;
}
</style>
